Bug 59139 - kcm_kamera crash
kcm_kamera crash
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kdebase (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-31 12:30 EST by Tim Waugh
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-31 12:30:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2002-01-31 12:30:16 EST
Description of Problem:
Click on 'add' in kcm_kamera and it crashes.

Version-Release number of selected component (if applicable):
kdebase-3.0.0-0.cvs20020129.1
kdelibs-3.0.0-0.cvs20020128.3

How Reproducible:
100%

Steps to Reproduce:
1. Start control centre.
2. Click on 'peripherals->Digital camera'
3. Click on 'Add'

Actual Results:
(no debugging symbols found)...[New Thread 1024 (LWP 29708)]
0x40fc0ff9 in wait4 () from /lib/i686/libc.so.6
#0  0x40fc0ff9 in wait4 () from /lib/i686/libc.so.6
#1  0x4104f690 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40df9483 in waitpid () from /lib/i686/libpthread.so.0
#3  0x40605029 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#4  0x40df77fc in pthread_sighandler () from /lib/i686/libpthread.so.0
#5  <signal handler called>
#6  gp_abilities_list_count (list=0x0) at gphoto2-abilities-list.c:380
#7  0x4142848e in KameraDeviceSelectDialog::populateCameraListView() ()
   from /usr/lib/kde3/libkcm_kamera.so
#8  0x414281c0 in KameraDeviceSelectDialog::KameraDeviceSelectDialog(QWidget*,
KCamera*) () from /usr/lib/kde3/libkcm_kamera.so
#9  0x4142341c in KKameraConfig::slot_addCamera() ()
   from /usr/lib/kde3/libkcm_kamera.so
#10 0x414215e8 in KKameraConfig::qt_invoke(int, QUObject*) ()
   from /usr/lib/kde3/libkcm_kamera.so
#11 0x408b551b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#12 0x408b53ef in QObject::activate_signal(int) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#13 0x403bcc2b in KAction::activated() () from /usr/lib/libkdeui.so.4
#14 0x403ae4af in KAction::slotActivated() () from /usr/lib/libkdeui.so.4
#15 0x403bce1f in KAction::qt_invoke(int, QUObject*) ()
   from /usr/lib/libkdeui.so.4
#16 0x408b54c0 in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#17 0x408b53ef in QObject::activate_signal(int) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#18 0x40b60dfe in QButton::clicked() () from /usr/lib/qt3/lib/libqt-mt.so.3
#19 0x409327ed in QButton::mouseReleaseEvent(QMouseEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#20 0x408e7b49 in QWidget::event(QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#21 0x40866ce4 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#22 0x40866442 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#23 0x40597176 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#24 0x40810e27 in QETWidget::translateMouseEvent(_XEvent const*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#25 0x4080e061 in QApplication::x11ProcessEvent(_XEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#26 0x4080dbc6 in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#27 0x408682c0 in QApplication::enter_loop() ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#28 0x4080d5bd in QApplication::exec() () from /usr/lib/qt3/lib/libqt-mt.so.3
#29 0x412911ef in main () from /usr/lib/kde3/kcontrol.so
#30 0x0804d11e in strcpy ()
#31 0x0804de5a in strcpy ()
#32 0x0804e343 in strcpy ()
#33 0x0804f100 in strcpy ()
#34 0x40f20108 in __libc_start_main () from /lib/i686/libc.so.6
Comment 1 Tim Waugh 2002-03-15 14:09:49 EST
This no longer happens in kdebase-3.0.0-0.cvs20020314.1.

Note You need to log in before you can comment on or make changes to this bug.